module Resources

  class Job < BaseResource
    include TubePrompter
    include JobPrompter

    def list
      tube = tube_name
      job = job_id

      if job == -1
        puts "\nNo jobs in state"
        puts
        return
      end

      result = get("beanstalk/jobs/#{job}")

      if result.has_key?('error')
        puts
        puts result['error']
      else
        table = Terminal::Table.new headings: [ 'Id', 'Body' ] do | t |
          t << [ result['job'].keys.first, result['job'].values.first ]
        end
        puts table
        puts

        table = Terminal::Table.new headings: [ 'Key', 'Value' ] do | t |
          result['statistics'].each_pair do | key, value |
            t << [ key, value ]
          end
        end
        puts table
      end
      puts
    end

    def destroy
      tube = tube_name
      job = job_id(true)

      if job == -1
        puts "\nNo jobs in state"
        puts
        return
      end

      result = delete("beanstalk/jobs/#{job}")
      if result.has_key?('error')
        puts
        puts result['error']
      else
        puts result['job']
      end
      puts
    end

  end

end
